###############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2016 XCG Consulting (http://www.xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
{
    "name": "Redner",
    "summary": """
Allows to generate transactional emails and documents in PDF or HTML format""",
    "version": "11.0.2.4.1",
    "author": "XCG Consulting",
    "category": "Technical",
    "description": """
Redner
=======
Redner is an innovative solution to produce transactional emails
and documents in PDF or HTML format.

It's designed to help applications or websites that need to send transactional
email like password resets, order confirmations, and welcome messages.

Redner offers advanced tracking, easy-to-understand reports & email
templates.
This Module allow you to use email template designed with mailjet app
(languages uses in template must be mjml or mustache) which you can add
in odoo template.
It also allows the rendering of documents in pdf or html format.

Configure this module using the following ``ir.config_parameter``::

    redner.server_url = http://dockerhost:7000
    redner.api_key = <your API key here>
    redner.account = <your account name>


**Pro tip**: You can use mjml-app_ to prototype your email templates.

UI Changes
----------
* Setting > Redner > Templates

Note: When you have existing templates you want to register onto a new
redner server (or with a new user), multi-select them and click
"Send to redner server".

.. _mjml-app: http://mjmlio.github.io/mjml-app/
""",
    "depends": ["base", "mail", "converter"],
    "data": [
        "security/ir.model.access.csv",
        "views/redner_template_views.xml",
        "views/mail_template_views.xml",
        "views/ir_actions_report.xml",
        "views/report_redner.xml",
        "views/menu.xml",
    ],
    "demo": [],
}
